agent_id: lead-qualifier
model: claude-sonnet-4-6
squad: revenue-and-sales
thread_type: B-Thread
purpose: Score and qualify inbound leads against ICP; assign tier, route to pipeline, trigger follow-up sequence
status: ready
created: 2026-02-24
